#!/bin/bash
if [ -f /opt/vdr/tvm2vdr.run ]; then
  echo already one tvm2vdr running
  echo if there is no tvm2vdr running, remove
  echo /opt/vdr/tvm2vdr.run and retry.
  exit
  fi
touch /opt/vdr/tvm2vdr.run
                                        
echo starting at `date`
# /etc/init.d/ntpdate start >> /var/log/tvm2vdr.log

# stop vdradmin
touch /video/no_vdradmin

# start tvmovie2vdr
./tvm2vdr.pl >> /var/log/tvm2vdr.log 2>&1

# cleanup old images
find /video0/epgimages/ -type f  -mtime +10 -exec rm {} \;

svdrpsend.pl chan "PREMIERE DIREKT"

/opt/vdr/vdr/reprio_timer.pl
rm /video/no_vdradmin


# shutting down, if requested
if [ q"$1" == qpowerdown ]; then
	echo stopping and shutting down at `date`
	/usr/bin/svdrpsend.pl hitk power
	fi

rm /opt/vdr/tvm2vdr.run

vdradmind.pl -k
sleep 10
for kill in `ps -ef |grep vdradmin |grep -v grep | awk '{print $2}'`; do kill -9 $kill; done
vdradmind.pl
